<template>
  <div class="q-px-lg q-pb-xl">
    <q-card-section class="text-h5">Lijst</q-card-section>
    <q-card-section horizontal>
      <q-card-section>
        <div>
          Links is een weergave van de presentation hierarchy, deze bepaald de presentatievolgorde en hiërarchie van
          Extended Link Roles (ELRs). In de lijst worden zowel de tussenkopjes als de Extened Link Roles
          (herkenbaar aan de oranje band rechts) getoond. Wanneer <em>Compact</em> wordt geselecteerd, zullen alleen de
          ELRs die relevant zijn voor het geselecteerde entrypoint linkroles in de lijst overblijven. De tussenkopjes
          worden dan niet meer getoond.
        </div>
        <div>
          er geen presentation hierarchy is gemodelleerd voor het geselecteerde entrypoint, toont de lijst alleen
          de ELRs die daadwerkelijk worden aangeroepen via dat entrypoint.
        </div>
        <div>
          In het filter-veld is het mogelijk een gedeelte van een label te typen, de lijst wordt automatisch gefilterd.
        </div>
      </q-card-section>
      <q-card-section class="col-4">
        <q-img alt="Rendering list" src="~assets/help/render_list.png"></q-img>
      </q-card-section>
    </q-card-section>
    <q-card-section class="text-h5">Detailscherm</q-card-section>
    <q-card-section horizontal>
      <q-card-section>
        <div>
          Op het detailscherm wordt per ELR 'de tabel' gerenderd. Als er een tabel-definitie in de ELR
          aanwezig is, dan wordt die gebruikt om de tabel te renderen.
        </div>
        <div>
          Als er geen tabel-definitie aanwezig is in de ELR, dan worden de concepten op basis van de presentation
          linkbase getoond in de vorm van een tabel.
        </div>
        <div>
          Elk grijs veld in de tabel kan worden geselecteerd om een extra detailscherm te openen met de achterliggende
          gegevens.
        </div>
      </q-card-section>
      <q-card-section class="col-4">
        <q-img alt="Table rendering" src="~assets/help/render_midden.png"></q-img>
      </q-card-section>
    </q-card-section>
  </div>
</template>

<script>
export default {
  name: "Rendering.vue"
}
</script>

<style scoped>

</style>
